Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.runtime
Interface ProcessRuntimeMBean

All Superinterfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface ProcessRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

MBean for accessing runtime information about processes. There is one ProcessRuntimeMBean instance for all processes.

Field Summary
`static long` | `CACHING_STUB_SVUID` The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub).

Method Summary
`ChildInstance[]` | `getChildProcessDataFromTracking(String parentProcessInstance)` Returns information on child process instances called by given process instance
`int` | `getCount(ProcessInstanceQuery query)` Returns the number of instances that satisfy the given query.
`ProcessVariableValue` | `getInitialMessage(String serviceURI, String instanceId)` Returns the message which started a process, or null if the process was not started by an incoming message.
`String` | `getLabel(String instanceId)` Returns the current value of a process's label.
`Object` | `getNodeInstanceDataFromTracking(String serviceURI, String instanceId)` Returns all info from ProcessTracking data as a join of start node events and end/abort node events.
`ParentInstance[]` | `getParentProcessDataFromTracking(String childProcessInstance)` Returns information on parent process instance that called the given process instance
`ProcessNodeInfo[]` | `getPendingActivities(String serviceURI, String instanceId)` Returns an array of nodes where an instance is currently blocked
`WrappedThrowable[]` | `getProcessExceptions(String processURI, String instanceID)` Returns a list of fatal exception for the instance.
`List` | `getProcessInstanceInfo(String[] ids)` Returns information about the given process instances
`ProcessInstanceInfo` | `getProcessInstanceInfo(String id, boolean includeDetails)` Returns information about a process instance.
`ProcessInstanceQueryResult` | `getProcessInstances(ProcessInstanceQuery query)` Returns ids of process instances that satisfy the given query embedded in the `ProcessInstanceQueryResult` object.
`ProcessVariableValue` | `getProcessVariable(String serviceURI, String instanceId, String variableName)` Gets the current value of a process variable
`ProcessStatistics[]` | `getStatistics()` Returns statistics for all process types for which there is at least one record in the summary table.
`ProcessStatistics` | `getStatistics(String serviceURI, long minStartTime, long maxStartTime, boolean onlyActiveInstances)` Returns statistics for a process type.
`ProcessStatus` | `getStatus(String instanceId)` Returns the status of an instance.
`Map` | `getVariableSummary(String serviceURI, String instanceId)` Returns summary values for process variables.
`void` | `resume(String serviceURI, String instanceId)` Resumes a suspended process instance
`void` | `suspend(String serviceURI, String instanceId)` Suspends a process instance
`void` | `terminate(String serviceURI, String instanceId)` Terminates a process instance
`void` | `unfreeze(String serviceURI, String instanceId)` Unfreezes a frozen instance

Methods inherited from interface weblogic.management.runtime.RuntimeMBean
`preDeregister`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

  The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub). You must change this value whenever you make one of the changes to this interface:

  - remove an existing method.
  - change the signature of an existing "getter" or "setter" method.
  - change the signature of an existing "boolean getter", i.e, "boolean isEnabled()"

  Otherwise you don't need to change this value. For instance you can add new methods, or you can change the signature of methods that don't start with "get", "set" or "is". If you are in doubt then change the SVUID. It is a good idea to increment this value when changing.

  See Also:
    Constant Field Values

Method Detail

### getStatistics

    public ProcessStatistics getStatistics(String serviceURI,
                                           long minStartTime,
                                           long maxStartTime,
                                           boolean onlyActiveInstances)
                                    throws javax.management.MBeanException

  Returns statistics for a process type.

  Parameters:
    `serviceURI` - the service URI for the process
    `minStartTime` - include only instances that have started after this time. Use `0` if this is not applicable to the filtering criteria.
    `maxStartTime` - include only instances that have started before this time. Use ``Long.MAX_VALUE`` if this is not applicable ot the filtering criteria.
    `onlyActiveInstances` - include only active instances, namely instances that are running, suspended, or frozen. if `false` all instances are considered.
  Returns:
  Throws:
    `javax.management.MBeanException`

### getStatistics

    public ProcessStatistics[] getStatistics()
                                      throws javax.management.MBeanException

  Returns statistics for all process types for which there is at least one record in the summary table. If there is no record of an instance of a particular process type (perhaps because no instance of that process has ever run since the last archive and purge process) then no statistics is returned for that process type.

  Returns:
    an array of ProcessStatistics objects one for each process type.
  Throws:
    `javax.management.MBeanException`

### suspend

    public void suspend(String serviceURI,
                        String instanceId)
                 throws javax.management.MBeanException,
                        com.bea.wlw.runtime.core.bean.ConversationNotFoundException,
                        ProcessInstanceNotFoundException,
                        ProcessNotFoundException

  Suspends a process instance

  Parameters:
    `serviceURI` - service URI for the process
    `instanceId` - the id of the instance
  Throws:
    `javax.management.MBeanException`
    `com.bea.wlw.runtime.core.bean.ConversationNotFoundException`
    `ProcessInstanceNotFoundException`
    `ProcessNotFoundException`

### resume

    public void resume(String serviceURI,
                       String instanceId)
                throws javax.management.MBeanException,
                       com.bea.wlw.runtime.core.bean.ConversationNotFoundException,
                       ProcessNotFoundException,
                       ProcessInstanceNotFoundException

  Resumes a suspended process instance

  Parameters:
    `serviceURI` - service URI for the process
    `instanceId` - the id of the instance
  Throws:
    `javax.management.MBeanException`
    `com.bea.wlw.runtime.core.bean.ConversationNotFoundException`
    `ProcessNotFoundException`
    `ProcessInstanceNotFoundException`

### terminate

    public void terminate(String serviceURI,
                          String instanceId)
                   throws javax.management.MBeanException,
                          com.bea.wlw.runtime.core.bean.ConversationNotFoundException,
                          ProcessNotFoundException,
                          ProcessInstanceNotFoundException

  Terminates a process instance

  Parameters:
    `serviceURI` - service URI for the process
    `instanceId` - the id of the instance
  Throws:
    `javax.management.MBeanException`
    `com.bea.wlw.runtime.core.bean.ConversationNotFoundException`
    `ProcessNotFoundException`
    `ProcessInstanceNotFoundException`

### unfreeze

    public void unfreeze(String serviceURI,
                         String instanceId)
                  throws javax.management.MBeanException,
                         com.bea.wlw.runtime.core.bean.ConversationNotFoundException,
                         ProcessNotFoundException,
                         ProcessInstanceNotFoundException

  Unfreezes a frozen instance

  Parameters:
    `serviceURI` - service URI for the process
    `instanceId` - the id of the instance
  Throws:
    `javax.management.MBeanException`
    `com.bea.wlw.runtime.core.bean.ConversationNotFoundException`
    `ProcessNotFoundException`
    `ProcessInstanceNotFoundException`

### getStatus

    public ProcessStatus getStatus(String instanceId)
                            throws javax.management.MBeanException

  Returns the status of an instance.

  Parameters:
    `instanceId` - the id of the instance
  Throws:
    `javax.management.MBeanException`

### getPendingActivities

    public ProcessNodeInfo[] getPendingActivities(String serviceURI,
                                                  String instanceId)
                                           throws javax.management.MBeanException,
                                                  com.bea.wlw.runtime.core.bean.ConversationNotFoundException,
                                                  ProcessNotFoundException,
                                                  ProcessInstanceNotFoundException

  Returns an array of nodes where an instance is currently blocked

  Parameters:
    `serviceURI` - service URI for the process
    `instanceId` - the id of the instance
  Throws:
    `javax.management.MBeanException`
    `com.bea.wlw.runtime.core.bean.ConversationNotFoundException`
    `ProcessNotFoundException`
    `ProcessInstanceNotFoundException`

### getVariableSummary

    public Map getVariableSummary(String serviceURI,
                                  String instanceId)
                           throws ProcessInstanceNotFoundException,
                                  ProcessNotFoundException,
                                  javax.management.MBeanException

  Returns summary values for process variables. The result is a map from variable names (String) to `ProcessVariableValue` containins a short string representation of the value.

  Parameters:
    `serviceURI` - service URI of the process
    `instanceId` - id of the instance
  Throws:
    `ProcessNotFoundException` - when the given process is not found
    `ProcessInstanceNotFoundException` - when the given instance was not found
    `javax.management.MBeanException` - any other exception is wrapped with a ManagementException

### getProcessVariable

    public ProcessVariableValue getProcessVariable(String serviceURI,
                                                   String instanceId,
                                                   String variableName)
                                            throws javax.management.MBeanException,
                                                   com.bea.wlw.runtime.core.bean.ConversationNotFoundException,
                                                   NoSuchFieldException,
                                                   ProcessInstanceNotFoundException,
                                                   ProcessNotFoundException

  Gets the current value of a process variable

  Parameters:
    `serviceURI` - service URI of the process
    `instanceId` - the id of the instance
  Throws:
    `javax.management.MBeanException`
    `com.bea.wlw.runtime.core.bean.ConversationNotFoundException`
    `NoSuchFieldException`
    `ProcessInstanceNotFoundException`
    `ProcessNotFoundException`

### getInitialMessage

    public ProcessVariableValue getInitialMessage(String serviceURI,
                                                  String instanceId)
                                           throws javax.management.MBeanException,
                                                  com.bea.wlw.runtime.core.bean.ConversationNotFoundException,
                                                  ProcessNotFoundException,
                                                  ProcessInstanceNotFoundException

  Returns the message which started a process, or null if the process was not started by an incoming message.

  Parameters:
    `serviceURI` - service URI of the process
    `instanceId` - id of the process instance
  Throws:
    `javax.management.MBeanException`
    `com.bea.wlw.runtime.core.bean.ConversationNotFoundException`
    `ProcessNotFoundException`
    `ProcessInstanceNotFoundException`

### getLabel

    public String getLabel(String instanceId)
                    throws javax.management.MBeanException,
                           com.bea.wlw.runtime.core.bean.ConversationNotFoundException,
                           ProcessInstanceNotFoundException

  Returns the current value of a process's label.

  Parameters:
    `instanceId` - the id of the instance
  Throws:
    `javax.management.MBeanException`
    `com.bea.wlw.runtime.core.bean.ConversationNotFoundException`
    `ProcessInstanceNotFoundException`

### getProcessInstances

    public ProcessInstanceQueryResult getProcessInstances(ProcessInstanceQuery query)
                                                   throws javax.management.MBeanException

  Returns ids of process instances that satisfy the given query embedded in the `ProcessInstanceQueryResult` object.

  Parameters:
    `query` -
  Returns:
  Throws:
    `javax.management.MBeanException`

### getProcessInstanceInfo

    public ProcessInstanceInfo getProcessInstanceInfo(String id,
                                                      boolean includeDetails)
                                               throws javax.management.MBeanException

  Returns information about a process instance.

  Parameters:
    `id` - the id of the process instance.
    `includeDetails` - whether to include detailed information in the result. The detail information consists of variable values, pending activities, and initial message.
  Returns:
    information about the given instance. Returns `null` if no information could be found for the given instance
  Throws:
    `javax.management.MBeanException`

### getCount

    public int getCount(ProcessInstanceQuery query)
                 throws javax.management.MBeanException

  Returns the number of instances that satisfy the given query. If the query is too expensive to execute or the number of instances is unknown, simply returns -1.

  Throws:
    `javax.management.MBeanException`

### getProcessInstanceInfo

    public List getProcessInstanceInfo(String[] ids)
                                throws javax.management.MBeanException

  Returns information about the given process instances

  Parameters:
    `ids` - an array of process instance ids
  Returns:
    a List of `ProcessInstanceInfo` objects. The result could have less element than the number of instance ids. This happens If no information could be found for an instance.
  Throws:
    `javax.management.MBeanException`

### getNodeInstanceDataFromTracking

    public Object getNodeInstanceDataFromTracking(String serviceURI,
                                                  String instanceId)
                                           throws javax.management.MBeanException

  Returns all info from ProcessTracking data as a join of start node events and end/abort node events. Events without matches on the right side, have null data on the right. (left outer join) The result is an array of NodeInstanceData elements.

  Throws:
    `javax.management.MBeanException`

### getChildProcessDataFromTracking

    public ChildInstance[] getChildProcessDataFromTracking(String parentProcessInstance)
                                                    throws javax.management.MBeanException

  Returns information on child process instances called by given process instance

  Throws:
    `javax.management.MBeanException`

### getParentProcessDataFromTracking

    public ParentInstance[] getParentProcessDataFromTracking(String childProcessInstance)
                                                      throws javax.management.MBeanException

  Returns information on parent process instance that called the given process instance

  Throws:
    `javax.management.MBeanException`

### getProcessExceptions

    public WrappedThrowable[] getProcessExceptions(String processURI,
                                                   String instanceID)
                                            throws javax.management.MBeanException

  Returns a list of fatal exception for the instance. Usually just one.

  Throws:
    `javax.management.MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD